translate([0, 0, 31]) {
    //rotate Z axis for printing
    rotate([0, 180, 0])
    {
        difference() {
            //main body
            difference() {
                cylinder(30, 5.25, 8.25, false, $fn = 60);
                translate([0, 0, -1]) {
                    //hollowed out for nut
                    cylinder(3.5, 3.1, 3.1, false, $fn = 60);
                    //hollowed out for socket thread
                    cylinder(2.5, 4.1, 4.1, false, $fn = 60);
                }
            }
            //nail holes, adjust 1.1 to desired radius if needed
            translate([3.35, 0, -1])
                    cylinder(35, 1.1, 1.1, false, $fn = 40);
            translate([-3.35, 0, -1])
                    cylinder(35, 1.1, 1.1, false, $fn = 40);
            //grip cavities
            translate([8.25, 0, -1])
                    cylinder(35, 2, 3, false, $fn = 20);
            translate([-8.25, 0, -1])
                    cylinder(35, 2, 3, false, $fn = 20);  
            translate([0, 8.25, -1])
                    cylinder(35, 2, 3, false, $fn = 20);  
            translate([0, -8.25, -1])
                    cylinder(35, 2, 3, false, $fn = 20);      
        }

        //top disc
        translate([0, 0, 30]) {
            difference() {
                cylinder(1, 8.25, 8.25, false, $fn = 60);
            //nail holes, adjust 1.1 to desired radius if needed
            translate([3.35, 0, -1])
                    cylinder(3, 1.1, 1.1, false, $fn = 40);
            translate([-3.35, 0, -1])
                    cylinder(3, 1.1, 1.1, false, $fn = 40);
            }
        }
            
        //hub
        translate([0, 0, -1])
            cylinder(4.5, 1.5, 1.5, false, $fn = 60);
    }
}